Page MenuHomePhabricator

welcome users without relying on additions to talk page
Closed, ResolvedPublic

Description

Some wiki communities substitute a template to new user talk pages. This is either done manually or through a bot.

We should create a feature that display the 'you have new message' to the new user, then clicking the talk page, it would show the welcome message but not create the page.

Could save up some bits in the database :)


Version: unspecified
Severity: enhancement

Details

Reference
bz27829

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:31 PM
bzimport set Reference to bz27829.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Mar 2 2011, 10:22 PM

But what about people that want to see it again, tbh creating the talk page for them is a pretty nice solution. Also this should probally be a extenstion request compared to something in the core.

There's an extension to automate this without the need for an actual 'bot' user:

http://www.mediawiki.org/wiki/Extension:NewUserMessage

You can try this on Wikimedia Commons.

Substituting a template isn't needed, one can just call it. This saves up a lot of bits already.

ie.
{{Welcome}}

instead of
{{subst:Welcome}}
which expands to a lot of wikitext on the page when saved.

Bryan.TongMinh wrote:

This is also useful for messaging completion of background jobs (i.e. async upload)

Bryan, thanks for your work on the async upload messages.

Ashar's original request and async messages in general do demonstrate a need for "out of band" messages from the MW system. It would be good to have a separate "messages" page that erased wouldn't hold messages after they've been there a while. And messages for async uploads might be a problem for some prolific uploaders.

(In reply to comment #4)

It would be good to have a
separate "messages" page that erased wouldn't hold messages after they've been
there a while.

Well LQT gives a page, that could probably be merged into core and then the two extenstions hook into that.

p858snake,

The work that I did in starting in r66438 provides hooks that allow MediaWiki to leave the user messages either via the talk page or LQT if it installed. That hook is has been reverted (for the most part) in order to get a release done, but I think this bug shows the need for a separate messaging system, something the hooks introduced in r66438 could provide.

Also see Brion's comments on r66438. CCing him here in case he has any more comments.

http://www.mediawiki.org/wiki/Manual:Hooks/SetupUserMessageArticle

brion added a comment.Nov 8 2011, 8:50 PM

We should probably aim to have a concept of notifications that's not so closely tied to any specific data source or communication method.

Rather than forcing a generic welcome or 'upload finished!' or 'that page you created got deleted' or whatever to get written onto the user talk page, it should go through a dedicated notification system, which can then be distributed in multiple ways:

  • bold red "you have new messages" link on web site, which goes to a (smallish or largeish) inbox display of notifications
  • email notifications, if enabled
  • mobile app notifications on smartphones, if opting in to them

etc

User talk & LQT notifications should then go into that system, rather than having an interface that ends up plunking something into your user talk page.

Un assigning myself since I am unlikely to fix that issue by myself :-)

sumanah wrote:

I believe the new notifications framework

https://www.mediawiki.org/wiki/Echo_%28Notifications%29

will help with this.

That is indeed listed as a use case for the Echo project. I am marking this bug as resolved / later, no point in keeping this one open it just clutter my bug list :-D

demon added a comment.Apr 12 2012, 6:45 PM

(In reply to comment #10)

That is indeed listed as a use case for the Echo project. I am marking this bug
as resolved / later, no point in keeping this one open it just clutter my bug
list :-D

Keeping your bug list uncluttered is not a reason to close the bug. If we mark it LATER, it gets forgotten.

I have created this bug to get rid of the bots that create talk pages for every single user connecting of the wiki. Maybe Getting Started fill that role.

swalling wrote:

(In reply to comment #12)

This is now covered by
https://www.mediawiki.org/wiki/Extension:GettingStarted

  • right?

See also https://www.mediawiki.org/wiki/Onboarding_new_Wikipedians

Nope. GettingStarted supplants the usual MediaWiki:Welcomecreation message which appears immediately after registration. My understanding is that this about User Talk pages, not a landing page post-registration.

Great idea, by the way. The fact that Talk and User Talk pages are redlinked with nothing in them has begun to make less and less sense over the years.

The base idea between this feature request is stop having user bots filling User talk pages for now real reasons :)

Qgil added a comment.May 21 2013, 6:01 PM

Let's look at the original request:

(In reply to comment #0)

We should create a feature that display the 'you have new message' to the new
user, then clicking the talk page, it would show the welcome message but not
create the page.

The E3 team has enabled an Echo notification showing a short welcome message to new users. See 42:15 at http://www.youtube.com/watch?v=0uQ0gA8mnPA

This shows the message to the user without creating a Talk page. Note that this works in conjunction with the Getting Started (see 38:40), so is there anything else you would like to see implemented in addition to this?

swalling wrote:

(In reply to comment #16)

Let's look at the original request:
(In reply to comment #0)

We should create a feature that display the 'you have new message' to the new
user, then clicking the talk page, it would show the welcome message but not
create the page.

The E3 team has enabled an Echo notification showing a short welcome message
to
new users. See 42:15 at http://www.youtube.com/watch?v=0uQ0gA8mnPA
This shows the message to the user without creating a Talk page. Note that
this
works in conjunction with the Getting Started (see 38:40), so is there
anything
else you would like to see implemented in addition to this?

We could close this bug as resolved fixed, since the above welcome notification definitely meets the basic requirements of the enhancement request.

However, the original idea Hashar had, which I think is still valid, is to have a placeholder of some kind on your user talk page before it exists. I think that's one of the requirements for Flow's first release, though I could be wrong.

hashar added a comment.Jul 5 2013, 2:48 PM

On the french wikipedia we have bots/user welcome any new user. An example is : https://fr.wikipedia.org/w/index.php?title=Discussion_utilisateur:Pif93&oldid=94714879

Which mean whenever a new user is created, there is also a new text entry in the database :( That is what my bug was about.

Echo automatically welcomes new users after they sign up. The welcome message can be customized per wiki by editing MediaWiki:Notification-new-user. Is that sufficient to close this bug? If not, the title should be made more specific.

Excellent work Echo team, thank you very much :-]

You might want to write a blog post / ping ambassador list about the MediaWiki:Notification-new-user message to have communities customize it.

I feel that completely fulfill the feature request and hence mark this bug as fixed \O/